メインコンテンツへスキップ
GET
/
2
/
users
/
personalized_trends
パーソナライズされたトレンドを取得する
curl --request GET \
  --url https://api.x.com/2/users/personalized_trends \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": "<string>",
      "post_count": 123,
      "trend_name": "<string>",
      "trending_since": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

personalized_trend.fields
enum<string>[]

取得する PersonalizedTrend フィールドをカンマ区切りで指定します。 PersonalizedTrend オブジェクトで使用できるフィールドです。

Minimum array length: 1
利用可能なオプション:
category,
post_count,
trend_name,
trending_since
:
[
"category",
"post_count",
"trend_name",
"trending_since"
]

レスポンス

リクエストは成功しました。

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。